#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;

## Single quotes take text literally
my $var = 'This is some $text';
print $var;


## Double quotes interpolate variables
my $name = 'Simon';
my $message = "Hello, my name is $name\n";
print $message;


## Double quotes also allow special characters
print "1\t2\t3\nA\tB\tC\t\n";


## You need to escape characters which otherwise 
## would have special meaning
print "Simon says\"When writing Perl \$ has special meaning\"\n";


## For long chunks of text you can use a "here" document
my $long_text = <<'END_LONG_TEXT';
This is some long text
Which spans over multiple lines.
Because I used a single quote I can write things like $hello and they won't be interpolated.  I can even use single  quotes like in the last sentence and that's OK too!
END_LONG_TEXT

print $long_text;
