#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;

## Collect all the required info at the start

my $sex = 'male';

my $smoker = 'no';

my $exercise_per_week = 2;

my $alcohol_per_week = 10;

my $fatty_food = 'yes';


## Now run the calculation

my $life_expectancy = 70;

# Sex
if ($sex eq 'female') {
	$life_expectancy += 4;	
}

# Smoking
if ($smoker eq 'yes') {
	$life_expectancy -= 5;	
}
else {
	$life_expectancy += 5;	
}

# Exercise
if ($exercise_per_week == 0) {
	$life_expectancy -= 3;	
}
else {
	$life_expectancy += $exercise_per_week;	
}

# Alcohol
if ($alcohol_per_week == 0) {
	$life_expectancy += 2;	
}
else {
	$life_expectancy += 0.5 * ($alcohol_per_week-7);	
}

# Fatty food
unless ($fatty_food eq 'yes') {
	$life_expectancy += 3;
}

print <<"END_RESULTS";
LIFE EXPECTANCY PREDICTION
--------------------------
Sex:               $sex
Smoker:            $smoker
Exercise per Week: $exercise_per_week
Alcohol per Week:  $alcohol_per_week
Fatty Food:        $fatty_food

Your predicted life expectancy is $life_expectancy years
END_RESULTS

